Altibase.jdbc.driver.sharding.executor

## Class BatchPreparedStatementExecutor

- java.lang.Object
- - Altibase.jdbc.driver.sharding.executor.BatchPreparedStatementExecutor

    public class BatchPreparedStatementExecutor
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`BatchPreparedStatementExecutor(ExecutorEngine aExecutorEngine, java.util.Map<DataNode,BatchPreparedStatementUnit> aBatchPreparedStatementUnitMap, int aBatchCount)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int[]` `executeBatch()` Execute batch.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BatchPreparedStatementExecutor

    public BatchPreparedStatementExecutor(ExecutorEngine aExecutorEngine,
                                          java.util.Map<DataNode,BatchPreparedStatementUnit> aBatchPreparedStatementUnitMap,
                                          int aBatchCount)

### Method Detail

#### executeBatch

    public int[] executeBatch()
                       throws java.sql.SQLException

Execute batch.

Returns:
  execute results
Throws:
  `java.sql.SQLException` - SQL exception